{{- define "kublr.theme.container" -}}
- name: kublr-keycloak-theme
  image: "{{ .Values.kublr.theme.image.registry }}/{{ .Values.kublr.theme.image.name }}:{{ .Values.kublr.theme.image.tag }}"
  imagePullPolicy: {{ .Values.kublr.theme.imagePullPolicy | default "IfNotPresent" }}
  volumeMounts:
    - name: kublr-theme
      mountPath: /opt/share/kublr
  command:
    - /bin/sh
    - "-c"
    - |
      cp -r /tmp/keycloak/themes/kublr /opt/share/
      for dir in $(find /opt/share/kublr -mindepth 1 -maxdepth 1 -type d) ; do
          echo "Updating ${dir} with theme.properties"
          env >> ${dir}/theme.properties;
      done
  env:
  - name: CP_MODE
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: cpMode
    {{- else }}
    value: {{ .Values.kublr.theme.config.cpMode | quote }}
    {{- end }}
  - name: GA_TRACKING_ID
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: gaId
    {{- else }}
    value: {{ .Values.kublr.theme.config.gaId | quote }}
    {{- end }}
  - name: INTERCOM_ID
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: intercomId
    {{- else }}
    value: {{ .Values.kublr.theme.config.intercomId | quote }}
    {{- end }}
  - name: INTERCOM_USER_ID
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: intercomUserId
    {{- else }}
    value: {{ .Values.kublr.theme.config.intercomUserId | quote }}
    {{- end }}
  - name: INSPECTLET_ID
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: inspectletId
    {{- else }}
    value: {{ .Values.kublr.theme.config.inspectletId | quote }}
    {{- end }}
  - name: USER_REG_BASE_URL
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: userRegBaseUrl
    {{- else }}
    value: {{ .Values.kublr.theme.config.userRegBaseUrl | quote }}
    {{- end }}
  - name: KUBLR_API_PREFIX
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: apiUriPrefix
    {{- else }}
    value: {{ .Values.kublr.theme.config.apiUriPrefix | quote }}
    {{- end }}
  - name: TRACKING_ENABLED
    {{- if .Values.kublr.theme.existingConfigmapName }}
    valueFrom:
      configMapKeyRef:
        name: {{ tpl .Values.kublr.theme.existingConfigmapName . }}
        key: trackingEnabled
    {{- else }}
    value: {{ .Values.kublr.theme.config.trackingEnabled | quote }}
    {{- end }}
{{- end -}}



{{- define "kublr.theme.mount" -}}
- name: kublr-theme
  mountPath: /opt/jboss/keycloak/themes/kublr
{{- end -}}



{{- define "kublr.theme.volume" -}}
- name: kublr-theme
  emptyDir: {}
{{- end -}}

